program nadovezivanje;
var a,b,c,max:integer;
    a1,b1,c1:string;
begin
read(a,b,c);
a1:=inttostr(a);
b1:=inttostr(b);
c1:=inttostr(c);
max:=strtoint(a1+b1+c1);
if strtoint(a+c+b)>max then
max:=strtoint(a+c+b);
if strtoint(b+a+c)>max then
max:=strtoint(b+a+c);
if strtoint(b+c+a)>max then
max:=strtoint(b+c+a);
if strtoint(c+b+a)>max then
max:=strtoint(c+b+a);
if strtoint(c+a+b)>max then
max:=strtoint(c+a+b);
write(max);
end.